aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-08-30 12:25:53 +0000
committerbicatali <bicatali@32389bae-6d03-0410-99cf-db05cde120eb>2008-08-30 12:25:53 +0000
commitc04c5e21ecb7fedfc36badaa843367aa619e37bb (patch)
treede4b459f46342d308cb6e289dcf44682a87c2166 /sci-physics
parentpythia6: rev bump (diff)
downloadsci-c04c5e21ecb7fedfc36badaa843367aa619e37bb.tar.gz
sci-c04c5e21ecb7fedfc36badaa843367aa619e37bb.tar.bz2
sci-c04c5e21ecb7fedfc36badaa843367aa619e37bb.zip
added root for test on extra patches
git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1265 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-physics')
-rw-r--r--sci-physics/root/ChangeLog13
-rw-r--r--sci-physics/root/Manifest10
-rw-r--r--sci-physics/root/files/root-5.20.00-configure.patch37
-rw-r--r--sci-physics/root/files/root-5.20.00-include-defines-file.patch7
-rw-r--r--sci-physics/root/files/root-5.20.00-pic.patch129
-rw-r--r--sci-physics/root/metadata.xml63
-rw-r--r--sci-physics/root/root-5.20.00-r1.ebuild233
7 files changed, 492 insertions, 0 deletions
diff --git a/sci-physics/root/ChangeLog b/sci-physics/root/ChangeLog
new file mode 100644
index 000000000..e89ea83d4
--- /dev/null
+++ b/sci-physics/root/ChangeLog
@@ -0,0 +1,13 @@
+# ChangeLog for sci-physics/root
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+
+ 30 Aug 2008; S├ębastien Fabbro <bicatali@gentoo.org>
+ +files/root-5.20.00-configure.patch,
+ +files/root-5.20.00-include-defines-file.patch,
+ +files/root-5.20.00-pic.patch, +metadata.xml, +root-5.20.00-r1.ebuild:
+ Added a bunch of patches from Benjamin Bannier for Pythia libraries (bug
+ #230673), ruby name changes (bug #236072), opengl include files (bug
+ #236071), extra documentation (bug #236070). Also added a reflex flag to
+ enable users encountering bug #233698.
+
diff --git a/sci-physics/root/Manifest b/sci-physics/root/Manifest
new file mode 100644
index 000000000..5275f5931
--- /dev/null
+++ b/sci-physics/root/Manifest
@@ -0,0 +1,10 @@
+AUX root-5.20.00-configure.patch 1639 RMD160 55a7a0e5c32e0947cf0115159f1c41b74c8a8e69 SHA1 087251b79c8e04e0327cebd18bd9dd15dd34cb41 SHA256 06e78624dc0458aa32787ccb660014eb50ac0735cadbc4352ecfa2dede9868f1
+AUX root-5.20.00-include-defines-file.patch 173 RMD160 c52739827cf2ae052cec3ca9b888b6afa2f2f487 SHA1 78f706fefa2af75ce4027fcadaff0933eeef4a1e SHA256 958dba11b2bf421e53aa567cd0260d53cf0fec0df6572a6cfbdd08e12ed47bad
+AUX root-5.20.00-pic.patch 3759 RMD160 6b2f0f8fac4abc596a1361f44c3bda4b8ea5c368 SHA1 7ebf6296631146e14346d3a055d8e2fbfee9fa64 SHA256 c0964ec0cc9ec5060174802779fa5d15c12b4f154752fbbf8793d4fd86997162
+DIST RooFit_Users_Manual_2.07-29.pdf 823371 RMD160 766f2d4264ff5d8a2c85af59fbe032989b079781 SHA1 6cf5dd1b80d910c4d4a9bfe0c7a74bf68e8e46f6 SHA256 a0c2ba1f9a2f5e7c58d12e78c0ae8f816b48363c7e6cc6b39ac8075b066b048a
+DIST TMVAUsersGuide_v4.pdf 2355827 RMD160 0624a6ed7e006581eacdaa69e82bbdca91aa42a9 SHA1 98016f0ccfa6c54234e22b46032bb0b2f5d7ac20 SHA256 bbc6563fd14a6a4a88efca55fa75e74d9b5c2a9f5d3044239f3f83dc2967ad62
+DIST Users_Guide_5_20.pdf 9585654 RMD160 9d5b8817f9bf2847b22fe94d003b6c08d2a82d2a SHA1 7ff8b86bc224c1ca088999cfe1d907114dd65104 SHA256 dc8884277e1e3eb2ef997d24dc5ca8fc7d7c2f3fc1a208266604d467f2d27c72
+DIST root_v5.20.00.source.tar.gz 25349138 RMD160 daa702dd8729d125f57a4ac3bf35ea1e84c15e22 SHA1 20ab6f3ad974449ad105c3e330a28f80ea310501 SHA256 8286c78d5c9ac10b0d0b93c8ef353f1399b1c034384f0ac4845a4df1efd09a87
+EBUILD root-5.20.00-r1.ebuild 6615 RMD160 2a306d8e14d4e418b13f5335b1911b9e559f8b29 SHA1 f7186af40ed093f6017a15dc053be5145b66e267 SHA256 78b76eed85f00e4a35f5742ca6a365d16161a991140fde218f0223682948b729
+MISC ChangeLog 597 RMD160 cfffe6da0c20bde132b29ff09b72cd12708f14c6 SHA1 a8077b62b0b7dbe4969e79d8d18f5e67e9a0358e SHA256 4ac571b009005fb69451daade216c7dd4fe10e7a6e824c95cb9d1eaa67e72a50
+MISC metadata.xml 2765 RMD160 b3747242b843d9dde7b5a536bc58a9d50872102f SHA1 c169daa3081e7f8ebf3c05355614a0a0d272ba64 SHA256 dd6f601fe7cae5f3980522cec64c91f98b45fa49735db792d96c3ad0279042c8
diff --git a/sci-physics/root/files/root-5.20.00-configure.patch b/sci-physics/root/files/root-5.20.00-configure.patch
new file mode 100644
index 000000000..a60986a26
--- /dev/null
+++ b/sci-physics/root/files/root-5.20.00-configure.patch
@@ -0,0 +1,37 @@
+--- configure.orig 2008-07-07 09:43:12.732330045 +0100
++++ configure 2008-07-07 15:45:27.122015928 +0100
+@@ -1648,7 +1648,7 @@
+ if pkg-config --exists ftgl ; then
+ result "ok"
+ ftglincdir=`pkg-config --cflags-only-I ftgl | sed 's/-I//g'`
+- ftgllibs=`pkg-config --libs-only-l ftgl | sed s'/-lftgl/-lftgl_pic/'`
++ ftgllibs=`pkg-config --libs-only-l ftgl`
+ ftgllibdir=`pkg-config --libs-only-L ftgl | sed 's/-L//g'`
+ enable_builtin_ftgl=no
+ else
+@@ -2753,12 +2753,12 @@
+ found_dirz=""
+ # libz must be before libpng, if libz is not found don't
+ # add libpng which needs libz
+- # note that failure to find system libungif is not fatal since
+- # libAfterImage contains embedded libungif source if needed
++ # note that failure to find system libgif is not fatal since
++ # libAfterImage contains embedded libgif source if needed
+ if test ! "x$enable_astiff" = "xno" ; then
+- aslibs="libjpeg libtiff libungif libz libpng"
++ aslibs="libjpeg libtiff libgif libz libpng"
+ else
+- aslibs="libjpeg libungif libz libpng"
++ aslibs="libjpeg libgif libz libpng"
+ fi
+ for k in $aslibs ; do
+ check_library $k "$enable_shared" "" \
+@@ -2771,7 +2771,7 @@
+ if test "x$k" = "xlibpng" && test "x$found_libz" = "x" ; then
+ break;
+ fi
+- if test "x$k" = "xlibungif" && test "x$found_lib" = "x" ; then
++ if test "x$k" = "xlibgif" && test "x$found_lib" = "x" ; then
+ asgifincdir=""
+ fi
+ if test ! "x$found_lib" = "x" ; then
diff --git a/sci-physics/root/files/root-5.20.00-include-defines-file.patch b/sci-physics/root/files/root-5.20.00-include-defines-file.patch
new file mode 100644
index 000000000..60dfb9bbc
--- /dev/null
+++ b/sci-physics/root/files/root-5.20.00-include-defines-file.patch
@@ -0,0 +1,7 @@
+--- graf3d/gl/src/TGLFontManager.cxx.orig
++++ graf3d/gl/src/TGLFontManager.cxx
+@@ -1,3 +1,4 @@
++#include "RConfigure.h"
+ #include "TGLFontManager.h"
+
+ #include "TSystem.h"
diff --git a/sci-physics/root/files/root-5.20.00-pic.patch b/sci-physics/root/files/root-5.20.00-pic.patch
new file mode 100644
index 000000000..1ecf8f353
--- /dev/null
+++ b/sci-physics/root/files/root-5.20.00-pic.patch
@@ -0,0 +1,129 @@
+--- ./net/xrootd/src/xrootd/configure.classic.orig 2008-06-25 07:24:15.000000000 +0100
++++ ./net/xrootd/src/xrootd/configure.classic 2008-07-04 20:06:20.537658375 +0100
+@@ -342,7 +342,8 @@
+
+ # Assert that we got enough arguments
+ if test $# -ne 3 ; then
+- echo "check_symbol: Not 3 arguments"
++ echo "check_symbol: not 3 arguments"
++ found_symbol=0
+ return 1
+ fi
+
+@@ -351,34 +352,105 @@
+ symbollib=$1 ; shift
+ symboldir=$1
+
++ if test "x$symbollib" = "x" ; then
++ found_symbol=0
++ return 1
++ fi
++
++ symbollib=`echo $symbollib | sed -e 's/^-l/lib/'`
++
++ if test ! "x$symboldir" = "x" ; then
++ symboldir=`echo $symboldir | sed -e 's/^-L//'`
++ fi
++
+ # Check if we got a specific argument as to where the library
+ # is to be found
+ symbolfile=$symbollib
+- if test ! "x$symboldir" = "x" ; then
+- symbolfile=$symboldir/$symbollib
+- if test ! -r $symbolfile ; then
+- for i in .a .so .lib ; do
+- if test -r $symbolfile$i ; then
+- symbolfile=$symbolfile$i
+- break
++ exts=".so .lib"
++ if test ! "x$shared" = "xno" ; then
++ exts="$exts .a"
++ else
++ exts=".a $exts"
++ fi
++
++ usrlib="/usr/lib"
++ # look first in the lib32 directories
++ if test "x$checklib32" = "xyes" ; then
++ usrlib="/usr/lib32 $usrlib"
++ fi
++ # look first in the lib64 directories
++ if test "x$checklib64" = "xyes" ; then
++ usrlib="/usr/lib64 $usrlib"
++ fi
++ # look only in the lib64 directories
++ if test "x$checkonlylib64" = "xyes" ; then
++ usrlib="/usr/lib64"
++ fi
++ # look only in the hpux64 directories
++ if test "x$checkhpux64" = "xyes" ; then
++ usrlib="/usr/lib/hpux64"
++ fi
++
++ for d in "$symboldir" $usrlib ; do
++ echo " Checking in $d"
++ if test ! -r $d/$symbollib ; then
++ echo " $d/$symbollib not readable"
++ for i in $exts ; do
++ echo " Checking extension $i with $d/$symbollib"
++ if test -r $d/$symbollib$i ; then
++ echo " $d/$symbollib$i readable"
++ symbolfile=$d/$symbollib$i
++ break 2
+ fi
+ done
++ else
++ echo "$d/$symbollib readable"
++ symbolfile=$d/$symbollib
++ break
+ fi
+- fi
++ done
+
+ if test "x$symbolfile" = "x" || test ! -r $symbolfile ; then
+ found_symbol=0
++ echo " Symbol not found"
+ return 1
+ fi
+
+- symbol_in_lib=`nm $symbolfile | grep $symbol > /dev/null 2>&1`
++ checking_msg "$symbol in $symbolfile"
++ nm $symbolfile 2>&1 | grep $symbol > /dev/null 2>&1
+ if test $? -eq 0 ; then
+ found_symbol=1
++ echo " Symbol found"
+ else
+- found_symbol=0
++ nm $symbolfile 2>&1 | grep "no symbols" > /dev/null 2>&1
++ if test $? -eq 0 ; then
++ echo " $symbolfile is stripped, trying a link"
++ # stripped library - only safe test is to link against the
++ # library! However, we do not know what compiler to use
++ # so we can not do the test. Assume the symbol is in
++ cat <<EOF > conftest.mk
++conftest:conftest.c $symbolfile
++ \$(CC) \$(CFLAGS) \$(LDFLAGS) $symbolfile \$< -o \$@
++
++conftest.c:
++ echo "extern int $symbol (); " > \$@
++ echo "int main() { $symbol (); return 0; }" >> \$@
++EOF
++ make -f conftest.mk >> config.log 2>&1
++ if test $? -eq 0 ; then
++ found_symbol=1
++ echo " Link OK"
++ else
++ found_symbol=0
++ echo " Failed code was"
++ cat conftest.mk >> config.log
++ fi
++ rm -rf conftest.c conftest.mk conftest
++ else
++ found_symbol=0
++ fi
+ fi
+ }
+-
+ #_____________________________________________________________________
+ guess_architecture () {
+ # Try to guess the architecture of the host system
diff --git a/sci-physics/root/metadata.xml b/sci-physics/root/metadata.xml
new file mode 100644
index 000000000..ec1f1d36d
--- /dev/null
+++ b/sci-physics/root/metadata.xml
@@ -0,0 +1,63 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>sci-physics</herd>
+<longdescription lang="en">
+ ROOT Object Oriented Technologies is an object oriented data
+ analysis framework written in C++ by the CERN. Widely used in
+ high energy physics, but also in other data analysis applications. It
+ contains the CINT C/C++ interpreter and many classes such as
+ statistics, serialization, optimization, linear algebra, graphics,
+ GUI toolkit, and a complete visualization framework.
+</longdescription>
+<use>
+ <flag name="cern">
+ Builds the HBOOK input/ouput functionality. HBOOK is a histogram
+ library. On ROOT versions previous to 5.20.00, it will depend
+ on <pkg>sci-physics/cernlib</pkg>. On versions above, it only need
+ a FORTRAN compiler.
+ </flag>
+ <flag name="clarens">
+ Builds the Clarens and PEAC plug-ins, to use in a GRID enabled
+ analysis. The Clarens Grid-Enabled Web Services Framework is an
+ open source portal for ubiquitous access to data and computational
+ resources provided by computing grids. PEAC is an interactive
+ distributed analysis framework that uses Clarens as a glue
+ protocol to advertise and communicate amongst SAM, Global Manager
+ (GM), Local Manager (LM), DCache, and PROOF services.
+ It doesn't need Clarens to build, however if you want to use it,
+ you will require to build Clarens and PEAC on your own, it is not
+ yet in the Gentoo Portage tree.
+ See http://clarens.sourceforge.net/ for Clarens
+ and http://physics.ucsd.edu/~schsu/project/peac.html for
+ PEAC.
+ </flag>
+ <flag name="geant4">
+ Builds the <pkg>sci-physics/geant</pkg> (GEANT4) navigator.
+ </flag>
+ <flag name="math">
+ Builds all math libraries plugins. It includes
+ the <pkg>sci-libs/gsl</pkg> bindings in MathMore, the GenVector
+ physical vectors package, the Minuit2 minimization library (same as
+ standalone <pkg>sci-libs/minuit</pkg>), the RooFit toolkit for
+ distribution modeling, and the Universal Non-Uniform RANdom number
+ generators (UNURAN) library.
+ </flag>
+ <flag name="pythia6">
+ Builds the interface to Pythia-6 (<pkg>sci-physics/pythia</pkg>)
+ high energy physics generation events library.
+ </flag>
+ <flag name="pythia8">
+ Builds the interface to Pythia-8 (<pkg>sci-physics/pythia</pkg>)
+ high energy physics generation events library.
+ </flag>
+ <flag name="reflex">
+ Builds the reflection database for the C++ interpretor.
+ </flag>
+ <flag name="xrootd">
+ Builds the xrootd low latency file server. For more on the eXtended Request
+ Daemon (xrd) and associated software, please see
+ http://xrootd.slac.stanford.edu.
+ </flag>
+</use>
+</pkgmetadata>
diff --git a/sci-physics/root/root-5.20.00-r1.ebuild b/sci-physics/root/root-5.20.00-r1.ebuild
new file mode 100644
index 000000000..5463041f0
--- /dev/null
+++ b/sci-physics/root/root-5.20.00-r1.ebuild
@@ -0,0 +1,233 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/sci-physics/root/root-5.20.00.ebuild,v 1.4 2008/07/29 10:43:53 bicatali Exp $
+
+EAPI=1
+inherit versionator flag-o-matic eutils toolchain-funcs qt4 fortran
+
+DOC_PV=$(get_major_version)_$(get_version_component_range 2)
+ROOFIT_DOC_PV=2.07-29
+TMVA_DOC_PV=4
+
+DESCRIPTION="C++ data analysis framework and interpreter from CERN"
+SRC_URI="ftp://root.cern.ch/${PN}/${PN}_v${PV}.source.tar.gz
+ doc? ( ftp://root.cern.ch/root/doc/Users_Guide_${DOC_PV}.pdf
+ ftp://root.cern.ch/root/doc/RooFit_Users_Manual_${ROOFIT_DOC_PV}.pdf
+ http://tmva.sourceforge.net/docu/TMVAUsersGuide_v${TMVA_DOC_PV}.pdf )"
+
+HOMEPAGE="http://root.cern.ch/"
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+KEYWORDS="~amd64 ~hppa ~sparc ~x86"
+
+IUSE="afs cern clarens doc fftw geant4 kerberos ldap +math mysql odbc
+ oracle postgres pythia6 pythia8 python +reflex ruby qt4 ssl xml xrootd"
+
+# libafterimage ignored, may be re-install for >=5.20
+# see https://savannah.cern.ch/bugs/?func=detailitem&item_id=30944
+# || ( >=media-libs/libafterimage-1.15 x11-wm/afterstep )
+RDEPEND="sys-apps/shadow
+ dev-libs/libpcre
+ x11-libs/libXpm
+ x11-libs/libXft
+ media-libs/ftgl
+ media-libs/libpng
+ media-libs/jpeg
+ media-libs/giflib
+ media-libs/tiff
+ virtual/opengl
+ virtual/glu
+ math? ( >=sci-libs/gsl-1.8 )
+ afs? ( >=net-fs/openafs-1.4.7 )
+ mysql? ( virtual/mysql )
+ postgres? ( virtual/postgresql-server )
+ kerberos? ( virtual/krb5 )
+ ldap? ( net-nds/openldap )
+ qt4? ( || ( ( x11-libs/qt-gui:4
+ x11-libs/qt-opengl:4
+ x11-libs/qt-qt3support:4
+ x11-libs/qt-xmlpatterns:4 )
+ =x11-libs/qt-4.3* ) )
+ fftw? ( sci-libs/fftw:3.0 )
+ pythia6? ( sci-physics/pythia:6 )
+ pythia8? ( sci-physics/pythia:8 )
+ python? ( dev-lang/python )
+ ruby? ( dev-lang/ruby )
+ ssl? ( dev-libs/openssl )
+ xml? ( dev-libs/libxml2 )
+ geant4? ( sci-physics/geant:4 )
+ odbc? ( || ( dev-db/unixODBC dev-db/libiodbc ) )
+ oracle? ( dev-db/oracle-instantclient-basic )
+ clarens? ( dev-libs/xmlrpc-c )"
+
+DEPEND="${RDEPEND}
+ cern? ( dev-lang/cfortran )
+ dev-util/pkgconfig"
+
+S="${WORKDIR}/${PN}"
+
+QT4_BUILT_WITH_USE_CHECK="qt3support opengl"
+
+pkg_setup() {
+ elog
+ elog "You may want to build ROOT with these non Gentoo extra packages:"
+ elog "AliEn, castor, Chirp, gfal, gLite, Globus, Monalisa, SapDB, SRP."
+ elog "You can use the env variable EXTRA_ECONF variable for this."
+ elog "For example, for SRP, you would set: "
+ elog "EXTRA_ECONF=\"--enable-srp --with-srp-libdir=/usr/$(get_libdir)\""
+ elog
+ epause 3
+ if use cern; then
+ FORTRAN="gfortran g77 ifc"
+ fortran_pkg_setup
+ else
+ FORTRANC=
+ FFLAGS=
+ fi
+ use qt4 && qt4_pkg_setup
+}
+
+src_unpack() {
+ unpack ${A}
+ cd "${S}"
+ epatch "${FILESDIR}"/${P}-configure.patch
+ epatch "${FILESDIR}"/${P}-pic.patch
+ # root bug; reported at https://savannah.cern.ch/bugs/?40816, fixed in svn
+ epatch "${FILESDIR}"/${P}-include-defines-file.patch
+
+ # use system cfortran
+ if use cern; then
+ rm -f include/root/cfortran.h
+ ln -s /usr/include/cfortran.h include/cfortran.h
+ fi
+ # take a more descriptive name for ruby libs
+ sed -i \
+ -e 's/libRuby/libRubyROOT/g' \
+ bindings/ruby/Module.mk bindings/ruby/src/drr.cxx \
+ || die "Ajusting ruby libname failed"
+
+ # libPythia6 is called libpythia6 in gentoo
+ sed -i -e 's/libPythia6/libpythia6/g' \
+ configure || die "Adjust libpythia6 name failed"
+}
+
+src_compile() {
+
+ local target
+ if [[ "$(tc-getCXX)" == ic* ]]; then
+ if use amd64; then
+ target=linuxx8664icc
+ elif use x86; then
+ target=linuxicc
+ fi
+ fi
+
+ local myconf
+ use postgres && \
+ myconf="${myconf} --with-pgsql-incdir=/usr/include/postgresql"
+
+ use qt4 && \
+ myconf="${myconf} --with-qt-incdir=/usr/include/qt4" && \
+ myconf="${myconf} --with-qt-libdir=/usr/$(get_libdir)/qt4"
+
+ use geant4 && \
+ myconf="${myconf} --with-clhep-incdir=/usr/include" && \
+ myconf="${myconf} --with-g4-libdir=${G4LIB}"
+
+ use odbc && [[ -z $(type -P odbc-config) ]] && \
+ myconf="${myconf} --with-odbc-incdir=/usr/include/iodbc"
+
+ use pythia6 && \
+ myconf="${myconf} --enable-pythia6" && \
+ myconf="${myconf} --with-pythia6-libdir=/usr/$(get_libdir)"
+
+ use pythia8 && \
+ myconf="${myconf} --enable-pythia8" && \
+ myconf="${myconf} --with-pythia8-incdir=/usr/include/pythia"
+
+ # the configure script is not the standard autotools
+ ./configure \
+ ${target} \
+ --fail-on-missing \
+ --prefix=/usr \
+ --libdir=/usr/$(get_libdir)/${PN} \
+ --docdir=/usr/share/doc/${PF} \
+ --with-sys-iconpath=/usr/share/pixmaps \
+ --with-f77="${FORTRANC} ${FFLAGS}" \
+ --with-cc="$(tc-getCC) ${CFLAGS}" \
+ --with-cxx="$(tc-getCXX) ${CXXFLAGS}" \
+ --disable-builtin-afterimage \
+ --disable-builtin-freetype \
+ --disable-builtin-ftgl \
+ --disable-builtin-pcre \
+ --disable-builtin-zlib \
+ --enable-asimage \
+ --enable-astiff \
+ --enable-exceptions \
+ --enable-explicitlink \
+ --enable-gdml \
+ --enable-memstat \
+ --enable-opengl \
+ --enable-shadowpw \
+ --enable-shared \
+ --enable-soversion \
+ --enable-table \
+ ${myconf} \
+ $(use_enable afs) \
+ $(use_enable clarens) \
+ $(use_enable clarens peac) \
+ $(use_enable fftw fftw3) \
+ $(use_enable geant4 g4root) \
+ $(use_enable kerberos krb5) \
+ $(use_enable ldap) \
+ $(use_enable math gsl-shared) \
+ $(use_enable math genvector) \
+ $(use_enable math mathmore) \
+ $(use_enable math minuit2) \
+ $(use_enable math roofit) \
+ $(use_enable math unuran) \
+ $(use_enable mysql) \
+ $(use_enable odbc) \
+ $(use_enable postgres pgsql) \
+ $(use_enable python) \
+ $(use_enable qt4 qt) \
+ $(use_enable qt4 qtgsi) \
+ $(use_enable reflex cintex) \
+ $(use_enable reflex) \
+ $(use_enable ruby) \
+ $(use_enable ssl) \
+ $(use_enable xml) \
+ $(use_enable xrootd) \
+ ${EXTRA_ECONF} \
+ || die "configure failed"
+
+ emake || die "emake failed"
+ emake cintdlls || die "emake cintdlls failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ echo "LDPATH=/usr/$(get_libdir)/root" > 99root
+ use pythia8 && echo "PYTHIA8=/usr" >> 99root
+ use python && echo "PYTHONPATH=/usr/$(get_libdir)/root" >> 99root
+ use ruby && echo "RUBYLIB=/usr/$(get_libdir)/root" >> 99root
+ doenvd 99root || die "doenvd failed"
+
+ if use doc; then
+ einfo "Installing user's guides"
+ insinto /usr/share/doc/${PF}
+ doins \
+ "${DISTDIR}"/Users_Guide_${DOC_PV}.pdf \
+ "${DISTDIR}"/TMVAUsersGuide_v${TMVA_DOC_PV}.pdf \
+ || die "pdf install failed"
+ if use math; then
+ doins "${DISTDIR}"/RooFit_Users_Manual_${ROOFIT_DOC_PV}.pdf \
+ || die "math doc install failed"
+ fi
+ fi
+}
+
+pkg_postinst() {
+ use ruby && elog "ROOT Ruby module is available as libRubyROOT"
+}